import jagdx.IDirect3DTexture;
import jagdx.IUnknown;

public class Class303 implements Interface29, Interface41 {

   int anInt3867;
   Class329_Sub2_Sub1 aClass329_Sub2_Sub1_3868;
   long aLong3869;


   void method5391() {
      this.method156();
   }

   Class303(Class329_Sub2_Sub1 var1, int var2) {
      this.anInt3867 = var2;
      this.aClass329_Sub2_Sub1_3868 = var1;
      this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15120(this);
   }

   public int method35() {
      return this.aClass329_Sub2_Sub1_3868.method35();
   }

   public long method81() {
      if(this.aLong3869 == 0L) {
         this.aLong3869 = IDirect3DTexture.GetSurfaceLevel(this.aClass329_Sub2_Sub1_3868.aLong4078, this.anInt3867);
      }

      return this.aLong3869;
   }

   public void method10() {
      if(this.aLong3869 != 0L) {
         IUnknown.Release(this.aLong3869);
         this.aLong3869 = 0L;
      }

      this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   public void method156() {
      if(this.aLong3869 != 0L) {
         this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15858(this.aLong3869);
         this.aLong3869 = 0L;
      }

   }

   public void finalize() {
      this.method156();
   }

   public int method31() {
      return this.aClass329_Sub2_Sub1_3868.method30();
   }

   void method5392() {
      this.method156();
   }

   public int method33() {
      return this.aClass329_Sub2_Sub1_3868.method30();
   }

   public void method8() {
      if(this.aLong3869 != 0L) {
         IUnknown.Release(this.aLong3869);
         this.aLong3869 = 0L;
      }

      this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   public void method9() {
      if(this.aLong3869 != 0L) {
         IUnknown.Release(this.aLong3869);
         this.aLong3869 = 0L;
      }

      this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   public int method34() {
      return this.aClass329_Sub2_Sub1_3868.method35();
   }

   public int method30() {
      return this.aClass329_Sub2_Sub1_3868.method30();
   }

   public int method29() {
      return this.aClass329_Sub2_Sub1_3868.method35();
   }

   void method5393() {
      this.method156();
   }

   public void method153() {
      if(this.aLong3869 != 0L) {
         this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15858(this.aLong3869);
         this.aLong3869 = 0L;
      }

   }

   public long method157() {
      if(this.aLong3869 == 0L) {
         this.aLong3869 = IDirect3DTexture.GetSurfaceLevel(this.aClass329_Sub2_Sub1_3868.aLong4078, this.anInt3867);
      }

      return this.aLong3869;
   }

   public long method155() {
      if(this.aLong3869 == 0L) {
         this.aLong3869 = IDirect3DTexture.GetSurfaceLevel(this.aClass329_Sub2_Sub1_3868.aLong4078, this.anInt3867);
      }

      return this.aLong3869;
   }

   public int method32() {
      return this.aClass329_Sub2_Sub1_3868.method30();
   }

   public long method158() {
      if(this.aLong3869 == 0L) {
         this.aLong3869 = IDirect3DTexture.GetSurfaceLevel(this.aClass329_Sub2_Sub1_3868.aLong4078, this.anInt3867);
      }

      return this.aLong3869;
   }

   public void method147() {
      if(this.aLong3869 != 0L) {
         this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15858(this.aLong3869);
         this.aLong3869 = 0L;
      }

   }

   public void method96() {
      if(this.aLong3869 != 0L) {
         this.aClass329_Sub2_Sub1_3868.aClass545_Sub2_Sub1_4080.method15858(this.aLong3869);
         this.aLong3869 = 0L;
      }

   }
}
